> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Trust Center videos

> Configures the videos displayed on a Trust Center. Replaces all
existing videos with the provided list.



## OpenAPI

````yaml /reference/manage-vanta.json put /trust-centers/{slugId}/videos
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/videos:
    put:
      tags:
        - Trust Centers
      summary: Set Trust Center videos
      description: |-
        Configures the videos displayed on a Trust Center. Replaces all
        existing videos with the provided list.
      operationId: UpsertTrustCenterVideos
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetTrustCenterVideosInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayResponse_TrustCenterVideo_'
              examples:
                Example 1:
                  value:
                    results:
                      - url: https://www.youtube.com/watch?v=dQw4w9WgXcQ
                        title: Product security overview
                        description: An overview of our security practices
      security:
        - bearerAuth: []
components:
  schemas:
    SetTrustCenterVideosInput:
      properties:
        videos:
          items:
            $ref: '#/components/schemas/SetTrustCenterVideoItem'
          type: array
          description: >-
            The videos to display on the Trust Center. Replaces all existing
            videos.
      required:
        - videos
      type: object
      additionalProperties: false
    ArrayResponse_TrustCenterVideo_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/TrustCenterVideo'
          type: array
      required:
        - results
      type: object
      additionalProperties: false
    SetTrustCenterVideoItem:
      properties:
        url:
          type: string
          description: >-
            Full video URL (e.g. "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
            or "https://vimeo.com/123456"). Supported platforms: YouTube, Vimeo.
        title:
          type: string
          description: Title of the video.
        description:
          type: string
          description: Description of the video.
      required:
        - url
        - title
      type: object
      additionalProperties: false
    TrustCenterVideo:
      properties:
        url:
          type: string
          description: Canonical URL for the video.
        title:
          type: string
          description: Title of the video.
        description:
          type: string
          nullable: true
          description: Description of the video.
      required:
        - url
        - title
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````